Main Page Class Hierarchy Compound List File List Compound Members File Members

# CHANNEL_RW_PARMS Struct Reference

`#include <kwhdrs_ew.h>`

List of all members.

## Public Attributes
char | id [CHANNEL_ID_LENGTH]
char | bytepad
unsigned short | sensorSerialNumberExt
short | north
short | east
short | up
short | altitude
short | azimuth
unsigned short | sensorType
unsigned short | sensorSerialNumber
unsigned short | gain
unsigned char | triggerType
unsigned char | iirTriggerFilter
unsigned char | StaSeconds
unsigned char | LtaSeconds
unsigned short | StaLtaRatio
unsigned char | StaLtaPercent
char | bytepada
float | fullscale
float | sensitivity
float | damping
float | naturalFrequency
float | triggerThreshold
float | detriggerThreshold
float | alarmTriggerThreshold
char | bytepad2 [16]

## Member Data Documentation

float CHANNEL_RW_PARMS::alarmTriggerThreshold

| Definition at line 511 of file kwhdrs_ew.h. Referenced by read_head().

short CHANNEL_RW_PARMS::altitude

| Definition at line 433 of file kwhdrs_ew.h. Referenced by read_head().

short CHANNEL_RW_PARMS::azimuth

| Definition at line 434 of file kwhdrs_ew.h. Referenced by k2evt2ew(), and read_head().

char CHANNEL_RW_PARMS::bytepad

| Definition at line 428 of file kwhdrs_ew.h.

char CHANNEL_RW_PARMS::bytepad2[16]

| Definition at line 514 of file kwhdrs_ew.h.

char CHANNEL_RW_PARMS::bytepada

| Definition at line 502 of file kwhdrs_ew.h.

float CHANNEL_RW_PARMS::damping

| Definition at line 507 of file kwhdrs_ew.h. Referenced by read_head().

float CHANNEL_RW_PARMS::detriggerThreshold

| Definition at line 510 of file kwhdrs_ew.h. Referenced by read_head().

short CHANNEL_RW_PARMS::east

| Definition at line 431 of file kwhdrs_ew.h. Referenced by read_head().

float CHANNEL_RW_PARMS::fullscale

| Definition at line 505 of file kwhdrs_ew.h. Referenced by k2evt2ew(), and read_head().

unsigned short CHANNEL_RW_PARMS::gain

| Definition at line 437 of file kwhdrs_ew.h. Referenced by read_head().

char CHANNEL_RW_PARMS::id[CHANNEL_ID_LENGTH]

| Definition at line 427 of file kwhdrs_ew.h. Referenced by read_head().

unsigned char CHANNEL_RW_PARMS::iirTriggerFilter

| Definition at line 446 of file kwhdrs_ew.h. Referenced by read_head().

unsigned char CHANNEL_RW_PARMS::LtaSeconds

| Definition at line 469 of file kwhdrs_ew.h. Referenced by read_head().

float CHANNEL_RW_PARMS::naturalFrequency

| Definition at line 508 of file kwhdrs_ew.h. Referenced by read_head().

short CHANNEL_RW_PARMS::north

| Definition at line 430 of file kwhdrs_ew.h. Referenced by read_head().

float CHANNEL_RW_PARMS::sensitivity

| Definition at line 506 of file kwhdrs_ew.h. Referenced by k2evt2ew(), and read_head().

unsigned short CHANNEL_RW_PARMS::sensorSerialNumber

| Definition at line 436 of file kwhdrs_ew.h. Referenced by read_head().

unsigned short CHANNEL_RW_PARMS::sensorSerialNumberExt

| Definition at line 429 of file kwhdrs_ew.h. Referenced by read_head().

unsigned short CHANNEL_RW_PARMS::sensorType

| Definition at line 435 of file kwhdrs_ew.h. Referenced by k2evt2ew(), and read_head().

unsigned char CHANNEL_RW_PARMS::StaLtaPercent

| Definition at line 492 of file kwhdrs_ew.h. Referenced by read_head().

unsigned short CHANNEL_RW_PARMS::StaLtaRatio

| Definition at line 481 of file kwhdrs_ew.h. Referenced by read_head().

unsigned char CHANNEL_RW_PARMS::StaSeconds

| Definition at line 455 of file kwhdrs_ew.h. Referenced by read_head().

float CHANNEL_RW_PARMS::triggerThreshold

| Definition at line 509 of file kwhdrs_ew.h. Referenced by read_head().

unsigned char CHANNEL_RW_PARMS::triggerType

| Definition at line 440 of file kwhdrs_ew.h. Referenced by read_head().

short CHANNEL_RW_PARMS::up

| Definition at line 432 of file kwhdrs_ew.h. Referenced by read_head().

The documentation for this struct was generated from the following file:

- kwhdrs_ew.h